@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

body{
	line-height: 1.5;
	font-weight: 400;
	font-family: "Montserrat", sans-serif!important;

}
*{
	margin:0;
	box-sizing: border-box;
}
:before,:after{
	box-sizing: border-box;
}
.container{
	max-width: 60%;
	margin:auto;
	display: flex;
	align-items: center;
    justify-content: center;
	padding-bottom: 1rem;
	
}

.v-center{
	align-items: center;
}
ul{
	list-style: none;
	margin:0;
	padding:0;
	margin-bottom: 0;
}
a{
	text-decoration: none;
}
/* header */
.header{
	display: block;
	width: 100%;
	position: relative;
	z-index: 99;
	padding:25px 15px 0px 15px;
	font-family: "Oswald", sans-serif;
	border-top: none;
	border-bottom: #dfdfdf solid thin;
}
.header .item-left{
	flex:0 0 17%;
}
.header .logo a{
	font-size: 30px;
	color:#000000;
	font-weight: 700;
	text-decoration: none;
}
.header .logo a img{
	width: 80%;
}
.header .item-center{
	flex:0 0 66%;
}
.header .item-right{
	flex:0 0 17%;
	display: flex;
	justify-content: flex-end;

}
.header .item-right a{ 
     text-decoration: none;
     font-size: 16px;
     color:#555555;
     display: inline-block;
     margin-left: 10px;
     transition: color 0.3s ease;
}
.header .menu > ul > li{
	display: inline-block;
	line-height: normal;
	margin-left: 0px;
}
.header .menu > ul > li > a{
	font-size: medium;
	font-weight: 500;
	color:#000000;
	position: relative;
	text-transform: uppercase;
	transition: color 0.3s ease;
	letter-spacing: 0.5px;


}
.header .menu > ul > li .sub-menu{
	position: absolute;
	z-index: 500;
	background-color:#ffffff;
	padding: 20px 30px;
	transition: all 0.5s ease;
	margin-top:25px;
	opacity:0;
	visibility: hidden;
	border: #ffffff solid 1px;
}

.menu-main{
	width: 65vw;
	display: flex;
	justify-content: space-between;
}

@media(min-width: 992px){
.header .menu > ul > li.menu-item-has-children:hover .sub-menu{
	margin-top: 0;
	visibility: visible;
	opacity: 1;
}
}
.header .menu > ul > li .sub-menu > ul > li{
	line-height: 1;
}
.header .menu > ul > li .sub-menu > ul > li > a{
	display: inline-block;
	padding: 10px 0;
	font-size: medium;
	color: #555555;
	transition: color 0.3s ease;
	text-decoration: none;
	text-transform: capitalize;
	font-family: "Montserrat", sans-serif;
}
.header .menu > ul > li .single-column-menu{
	min-width: 280px;
	max-width: 350px;
	border-radius: 1vw;
}
.header .menu > ul > li .sub-menu.mega-menu > .list-item > ul > li{
   line-height: 1;
   display: block; 
}
.header .menu > ul > li .sub-menu.mega-menu > .list-item > ul > li > a {
	padding:10px 0;
	display: inline-block;
	font-size: 15px;
	color:#555555;
	transition: color 0.3s ease;
	width: fit-content;
}


.sub-menu.mega-menu a:hover{
	text-decoration: none;
	color: #555555;
	font-weight: 400;
}

.header .menu > ul > li .sub-menu.mega-menu{ 
    left: 50%;
    transform: translate(-50%, 2vh);	
}

.header .menu > ul > li .sub-menu.mega-menu-column-4{
  max-width: 47vw;
  width: 100%; 	
  display: flex;
  flex-wrap: wrap;
  padding:0;
  align-items: flex-start;
  column-gap: 3vw;
  border-radius: 1vw;
  justify-content: space-between;

}


.header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item{
  flex:0 0 29%;
  padding:0 0vw 0 0;
}

.opis-proizvoda{
	display: flex;
	flex-direction: column;
	padding-left: 1.3vw;
}

.opis-proizvoda p{
	padding: 0;
	margin-bottom: 0;
	text-decoration: none;
	font-weight: 300;
	color: #000000;
	width: fit-content;
}

.opis-priozvoda a:hover{
	text-decoration: none;
}

.akcija{
	background-color: #A81825;
	padding: 2px 18px!important;
	width: fit-content;
	border-radius:1vw ;
	font-weight: 400;
	color: #ffffff!important;
	font-size: small;
	font-family: "Montserrat", sans-serif;
	display: none;
}

.kategorija{
	font-size: 0.6vw;
	font-family: "Montserrat", sans-serif;
	padding-top: 0.5vh !important;
}



#last-list-item{
	padding: 0 0 0 0vw;
}

.vidi-sve{
	width: 25vw;
	margin: 0 auto;
	color: #000000;
	text-align: center;
	border-top: #dfdfdf solid thin;
	padding: 1vh 0;
	font-family: "Montserrat", sans-serif;
	margin-top: 2vh;
	transition: .8s;
	font-weight: 600;
}

.text-center a:hover > .opis-priozvoda{
	color: red!important;
}


.header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item .title{
	font-size: 0.8vw;
	color:#000000;
	font-weight: 500;
	line-height: normal;
	padding:0px 0;
}
.header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item.text-center .title{
	text-align: left;
	text-transform: uppercase;
	font-family: "Montserrat", sans-serif;
}
.header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item img{
	max-width: 100%;
	width: 100%;
	vertical-align: top;
	margin-top: 0px;
}

#first-plinska{
	display: flex;
    justify-content: flex-start;
}
#second-plinska{
	display: flex;
    justify-content: center;
}
#third-plinska{
	display: flex;
    justify-content: flex-end;
}
.header .menu > ul > li .sub-menu.mega-menu > .list-item > ul > li > a:hover,
.header .menu > ul > li .sub-menu > ul > li > a:hover,
.header .item-right a:hover,
.header .menu > ul > li:hover > a{
	color:#757575;
	text-decoration: none;
}

.mobile-menu-head,
.mobile-menu-trigger{
	display: none;
}


/*BIO KAMINi | MEGA MENU 4*/

#mega-menu-4{
	max-width: 64vw;
}

#mega-menu-4 .list-item{
	flex:0 0 21%;
}

.header .menu > ul > li #mega-menu-4{
	transform:translate(-37%, 2vh);
}




/*responsive*/
@media(max-width: 1100px){



	.header{
		width: 100%;
	}

	.header .item-center{
		order:3;
		flex:0 0 100%;
	}
	.header .item-left,
	.header .item-right{
		flex:0 0 auto;
	}
	.v-center{
		justify-content: space-between;
	}
	.header .mobile-menu-trigger{
		display: flex;
		height: 30px;
		width: 30px;
		margin-left: 15px;
		cursor: pointer;
		align-items: center;
		justify-content: center;
	}
	.header .mobile-menu-trigger span{
		display: block;
		height: 2px;
		background-color: #333333;
		width: 24px;
		position: relative;
	}
	.header .mobile-menu-trigger span:before,
	.header .mobile-menu-trigger span:after{
		content: '';
		position: absolute;
		left:0;
		width: 100%;
		height: 100%;
		background-color: #333333;
	}
	.header .mobile-menu-trigger span:before{
		top:-6px;
	}
	.header .mobile-menu-trigger span:after{
		top:6px;
	}
	.header .item-right{
		align-items: center;
	}

	.header .menu{
		position: fixed;
		width: 320px;
		background-color: rgb(255 255 255 / 78%);
		backdrop-filter: blur(6px);
		left:0;
		top:0;
		height: 100%;
		overflow: hidden;
		transform: translate(-100%);
		transition: all 0.5s ease;
		z-index: 1099;
	}
	.header .menu.active{
	   transform: translate(0%);	
	}
	.header .menu > ul > li{
		line-height: 1;
		margin:0;
		display: block;
	}
	.header .menu > ul > li > a{
		width: fit-content;
		line-height: 50px;
		height: 50px;
		padding:0 50px 0 15px;
		display: block;
		border-bottom: 1px solid rgba(0,0,0,0.1);
		width: 100%;
	}
	.header .menu > ul > li > a i{
		position: absolute;
		height: 50px;
		width: 50px;
		top:0;
		right: 0;
		text-align: center;
		line-height: 50px;
		transform: rotate(-90deg);
	}
	.header .menu .mobile-menu-head{
		display: flex;
		height: 50px;
		border-bottom: 1px solid rgba(0,0,0,0.1);
		justify-content: space-between;
		align-items: center;
		position: relative;
		z-index: 501;
		position: sticky;
		top:0;
	}
	.header .menu .mobile-menu-head .go-back{
		height: 50px;
		width: 50px;
		/*border-right: 1px solid rgba(0,0,0,0.1);*/
		cursor: pointer;
		line-height: 50px;
		text-align: center;
		color:#000000;
		font-size: 16px;
		display: none;
	}
	.header .menu .mobile-menu-head.active .go-back{
		display: block;
	}
	.header .menu .mobile-menu-head .current-menu-title{
		font-size: 15px;
		font-weight: 500;
		color:#000000;
	}
	.header .menu .mobile-menu-head .mobile-menu-close{
	    height: 50px;
		width: 50px;
		/*border-left: 1px solid rgba(0,0,0,0.1);*/
		cursor: pointer;
		line-height: 50px;
		text-align: center;
		color:#000000;	
		font-size: 10vw;
	}
	.header .menu .menu-main{
		height: 100%;
		overflow-x: hidden;
		overflow-y: auto;
	}
	.header .menu > ul > li .sub-menu.mega-menu,
	.header .menu > ul > li .sub-menu{
		visibility: visible;
		opacity: 1;
		position: absolute;
		box-shadow: none;
		margin:0;
		padding:15px;
		top:0;
		left:0;
		width: 100%;
		height: 100%;
		padding-top: 65px;
		max-width: none;
		min-width: auto;
		display: none;
		transform: translateX(0%);
		overflow-y: auto;
	}
.header .menu > ul > li .sub-menu.active{
	display: block;
}

.menu-main{
	display: block;
}
@keyframes slideLeft{
	0%{
		opacity:0;
		transform: translateX(100%);
	}
	100%{
	    opacity:1;
		transform: translateX(0%);	
	}
}
@keyframes slideRight{
	0%{
		opacity:1;
		transform: translateX(0%);
	}
	100%{
	    opacity:0;
		transform: translateX(100%);	
	}
}
	.header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item img{
		margin-top:0;
	}
	.header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item.text-center .title{
		margin-bottom: 20px;
		margin-top: 5px;
		font-size: x-large;
	}
	.header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item.text-center:last-child .title{
		margin-bottom:0px;
	}
	.header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item{
		flex: 0 0 100%;
        padding: 0px;
	}
	.header .menu > ul > li .sub-menu > ul > li > a,
	.header .menu > ul > li .sub-menu.mega-menu > .list-item > ul > li > a{
		display: block;
	}
	.header .menu > ul > li .sub-menu.mega-menu > .list-item > ul {
		margin-bottom: 15px;
	}
	.menu-overlay{
		position: fixed;
		background-color: rgba(0,0,0,0.5);
		left:0;
		top:0;
		width: 100%;
		height: 100%;
		z-index: 1098;
		visibility: hidden;
		opacity:0;
		transition: all 0.5s ease;
	}
	.menu-overlay.active{
	  visibility: visible;
	  opacity:1;	
	}

	.header{
		padding: 0;
		top: -1.5vh;
		left: 0vw;
		width: fit-content;
		border: none;
	}

	#mega-menu-4{
		max-width: 100%;
	}

	.menu-main{
		width: 100%;
	}

	#last-list-item{
		padding: 0 0 3vh 0;
	}

	.akcija{
		font-size: large;
	}

	.kategorija{
		font-size: large;
	}

	.vidi-sve{
		margin-top: 3vh;
		padding: 2vh;
		font-size: larger;
	}

}



@media only screen and (min-width: 1200px) and (max-width: 1500px){

	.header .menu > ul > li .sub-menu.mega-menu-column-4{
		max-width: 60vw;
	}

	.akcija{
		font-size: 1vw;
	}

	.kategorija{
		font-size: 1vw;
	}

	.header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item .title{

		font-size: 1.2vw;
	}


	#mega-menu-4{
		max-width: 75vw;
	}

	.header .menu > ul > li #mega-menu-4 {
		transform: translate(-44%, 2vh);
	}



}

